from ._ApplicationMessageBus import ApplicationMessageBus
from ._ExceptionProcessorCallback import ExceptionProcessorCallback
from ._ExpertMessageBusSpy import ExpertMessageBusSpy
from ._SendMessageMock import SendMessageMock
from ._SendMessageMockBuilder import (
    SendMessageMockBuilder,
    SendMessageMockBuilder,
)
from ._SendMessageRequestValidator import SendMessageRequestValidator
from ._SentMessage import SentMessage
from ._SyncEventMock import SyncEventMock
from ._SyncEventMockBuilder import SyncEventMockBuilder
from ._SyncEventRequestValidator import SyncEventRequestValidator


def a_send_message_mock():
    return SendMessageMockBuilder()


def a_sync_event_mock(subject: str):
    return SyncEventMockBuilder(subject=subject)
